function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { iconMap, icons } from "./../AppearanceEdit/constants";
import { SearchLg } from '@pisell/icon';
import { Input } from '@pisell/materials';
import { useControllableValue } from 'ahooks';
import { Space } from 'antd';
import cs from 'classnames';
import { useState } from 'react';
import "./IconPanel.less";

// 面板

var IconPanel = function IconPanel(props) {
  var color = props.color,
    name = props.name,
    value = props.value;
  var _useControllableValue = useControllableValue(props),
    _useControllableValue2 = _slicedToArray(_useControllableValue, 2),
    state = _useControllableValue2[0],
    setState = _useControllableValue2[1];
  var _useState = useState(icons),
    _useState2 = _slicedToArray(_useState, 2),
    showIcons = _useState2[0],
    setShowIcons = _useState2[1];
  var onSearch = function onSearch(val) {
    setShowIcons(icons.filter(function (item) {
      return item.name.includes(val);
    }));
  };
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Input, {
    bordered: false,
    prefix: /*#__PURE__*/React.createElement(SearchLg, {
      className: "search-icon"
    }),
    placeholder: "Search icons",
    className: "search",
    onPressEnter: function onPressEnter(e) {
      var _e$target;
      return onSearch === null || onSearch === void 0 ? void 0 : onSearch((_e$target = e.target) === null || _e$target === void 0 ? void 0 : _e$target.value);
    }
  }), /*#__PURE__*/React.createElement(Space, {
    size: 20,
    wrap: true
  }, /*#__PURE__*/React.createElement("div", {
    className: cs('icon-item-wrap', 'icon-item-text', _defineProperty({}, 'icon-item-wrap-active', !iconMap[value])),
    style: !iconMap[value] ? {
      background: color
    } : {},
    onClick: function onClick() {
      return setState('');
    }
  }, name.slice(0, 2)), showIcons.map(function (item) {
    var isActive = state === item.name;
    var Icon = item.icon;
    return /*#__PURE__*/React.createElement("div", {
      className: cs('icon-item-wrap', _defineProperty({}, 'icon-item-wrap-active', isActive)),
      style: isActive ? {
        background: color
      } : {},
      onClick: function onClick() {
        return setState(item.name);
      },
      key: item.name
    }, /*#__PURE__*/React.createElement(Icon, {
      style: {
        fontSize: 20
      }
    }));
  })));
};
export default IconPanel;